Add a Collector for glidein monitoring to the factory
01/31/2013 03:21 PM - Igor Sfiligoi

Status: New Start date: 09/08/2014
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Factory Estimated time: 0.00 hour
Target version: v3_X Spent time: 0.00 hour
Stakeholders: 0SG

Description

Currently the factory does not have a good idea of which glideins are running and which are not;
it only relies on Condor-G information, which we all know is not very reliable.

So the proposal for this ticket is to add a factory-specific collector (tree) that all the glideins would report to.

This should be separate from the one used for classad exchange between the GF and the FEs.
I would also recommend installing it on a completely different node.
And it should be optional.

One of the reasons why we never did it in the past was due to authentication issues;
we do not want to track all the DNs that the FEs use for their pilots.
So the proposal for this ticket is to use the shared secret authentication for this collector.

Now, the shared secret will be pretty much impossible to get in a secure way to the WNs (e.g. GT2 does not provide any such
guarantee);
the best we can hope for is making it non trivial to discover.

However, the information in the Collector are not really that sensitive.... it is just for monitoring, and as long people/services using this
information understand that, it is still better than the current situation.
The reason to have any authentication at all is mostly to avoid random scanning services/script kiddies to compromise it.

Subtasks:

Idea # 6770: Add a Collector for glidein monitoring to the factory - Add support in the... Closed
Bug # 6943: Changes to #6770 broke branch_v3_2 and master Closed

Related issues:

Related to GlideinWMS - Feature #2454: Advertise classad in case of glidein f... Closed 04/18/2013

Related to GlideinWMS - Feature #5309: Need more prompt fake running glidein ... New 01/31/2014

Related to GlideinWMS - Feature #6317: Add periodic test glidein submissions New 05/22/2014

Related to GlideinWMS - Feature #6319: Propagate and/or validate factory attr... New 05/22/2014

History

#1 - 01/31/2013 03:25 PM - Igor Sfiligoi
The exact nature of advertising to this collector should be carefully thought through.
Just pointing the current startd to it is likely not a good idea.

The collector is normally the most trusted service in a condor pool, so there are/may be some information the startd is sending that are not
appropriate for a low security collector | am proposing.

#2 - 02/26/2013 12:19 PM - Burt Holzman

- Assignee set to Burt Holzman

#3 - 03/26/2013 10:18 AM - Burt Holzman

- Target version set to v3_1

#4 - 04/29/2013 01:35 PM - Burt Holzman

- Target version changed from v3_1 to v3 x
#5 - 02/28/2014 10:23 AM - Igor Sfiligoi

Another option is to dynamically add all the pilot DNs as the factory sees them.
We indeed have all the information.

| am a bit uncomfortable with automatic changes to the security configs, but it is still better than no security.

#6 - 05/13/2014 04:09 PM - Igor Sfiligoi
- Assignee changed from Burt Holzman to Igor Sfiligoi
- Target version changed from v3_xtov3 2 6

- Stakeholders updated

Align with #5309

#7 - 07/08/2014 09:18 AM - Parag Mhashilkar

- Target version changed fromv3 2 6tov3 2 7

#8 - 08/09/2014 03:55 PM - Igor Sfiligoi

I have created a sub-task ( #6770 ) that will only deal with the glidein configuration part.
Once that's done, the GF admins can start using it by manually maintaining the security of the GF collector.

Of course we do want automatic management of the security, but the two do not need to be implemented at the same time.

#9 - 09/08/2014 10:04 AM - Parag Mhashilkar

- Target version changed from v3_2 7 to v3_x

#10 - 05/19/2015 01:59 PM - Parag Mhashilkar
- Assignee deleted (Igor Sfiligoi)

Igor Sfiligoi's tickets. These were some ideas brewing up in his mind but they never materialized or got priority.

#11 - 08/31/2020 04:25 AM - Marco Mascheroni
- Stakeholders updated

Removing CMS from the Stakeholder list since this is no more relevant
